postSources :: MonadHTTP m=> Maybe PostSourcesRequestBodyThe request body to send
-> ClientT m (Response PostSourcesResponse)Monadic computation which returns the result of the operation
POST /v1/sources<p>Creates a new source object.</p>
:: a typeCtrl KGHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05
Modulestripeapi-3.0.0.0Haskell2010
Contains the different functions to run the operation postSources
postSources :: MonadHTTP m=> Maybe PostSourcesRequestBodyThe request body to send
-> ClientT m (Response PostSourcesResponse)Monadic computation which returns the result of the operation
POST /v1/sources<p>Creates a new source object.</p>
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.
PostSourcesRequestBodypostSourcesRequestBodyAmount :: Maybe Intamount: Amount associated with the source. This is the amount for which the source will be chargeable once ready. Required for `single_use` sources. Not supported for `receiver` type sources, where charge amount may not be specified until funds land.
postSourcesRequestBodyCurrency :: Maybe Textcurrency: Three-letter ISO code for the currency associated with the source. This is the currency for which the source will be chargeable once ready.
postSourcesRequestBodyCustomer :: Maybe Textcustomer: The `Customer` to whom the original source is attached to. Must be set when the original source is not a `Source` (e.g., `Card`).
Constraints:
Maximum length of 500
postSourcesRequestBodyExpand :: Maybe [Text]expand: Specifies which fields in the response should be expanded.
postSourcesRequestBodyFlow :: Maybe PostSourcesRequestBodyFlow'flow: The authentication `flow` of the source to create. `flow` is one of `redirect`, `receiver`, `code_verification`, `none`. It is generally inferred unless a type supports multiple flows.
Constraints:
Maximum length of 5000
postSourcesRequestBodyMandate :: Maybe PostSourcesRequestBodyMandate'mandate: Information about a mandate possibility attached to a source object (generally for bank debits) as well as its acceptance status.
postSourcesRequestBodyMetadata :: Maybe Objectmetadata
postSourcesRequestBodyOriginalSource :: Maybe Textoriginal_source: The source to share.
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner :: Maybe PostSourcesRequestBodyOwner'owner: Information about the owner of the payment instrument that may be used or required by particular source types.
postSourcesRequestBodyReceiver :: Maybe PostSourcesRequestBodyReceiver'receiver: Optional parameters for the receiver flow. Can be set only if the source is a receiver (`flow` is `receiver`).
postSourcesRequestBodyRedirect :: Maybe PostSourcesRequestBodyRedirect'redirect: Parameters required for the redirect flow. Required if the source is authenticated by a redirect (`flow` is `redirect`).
postSourcesRequestBodySourceOrder :: Maybe PostSourcesRequestBodySourceOrder'source_order: Information about the items and shipping associated with the source. Required for transactional credit (for example Klarna) sources before you can charge it.
postSourcesRequestBodyStatementDescriptor :: Maybe Textstatement_descriptor: An arbitrary string to be displayed on your customer's statement. As an example, if your website is `RunClub` and the item you're charging for is a race ticket, you may want to specify a `statement_descriptor` of `RunClub 5K race ticket.` While many payment types will display this information, some may not display it at all.
Constraints:
Maximum length of 5000
postSourcesRequestBodyToken :: Maybe Texttoken: An optional token used to create the source. When passed, token properties will override source parameters.
Constraints:
Maximum length of 5000
postSourcesRequestBodyType :: Maybe Texttype: The `type` of the source to create. Required unless `customer` and `original_source` are specified (see the Cloning card Sources guide)
Constraints:
Maximum length of 5000
postSourcesRequestBodyUsage :: Maybe PostSourcesRequestBodyUsage'usage
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBody with all required fields.
Defines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.flow in the specification.
The authentication `flow` of the source to create. `flow` is one of `redirect`, `receiver`, `code_verification`, `none`. It is generally inferred unless a type supports multiple flows.
PostSourcesRequestBodyFlow'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyFlow'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyFlow'EnumCodeVerificationRepresents the JSON value "code_verification"
PostSourcesRequestBodyFlow'EnumNoneRepresents the JSON value "none"
PostSourcesRequestBodyFlow'EnumReceiverRepresents the JSON value "receiver"
PostSourcesRequestBodyFlow'EnumRedirectRepresents the JSON value "redirect"
Eq PostSourcesRequestBodyFlow'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyFlow'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyFlow'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyFlow'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate in the specification.
Information about a mandate possibility attached to a source object (generally for bank debits) as well as its acceptance status.
PostSourcesRequestBodyMandate'postSourcesRequestBodyMandate'Acceptance :: Maybe PostSourcesRequestBodyMandate'Acceptance'acceptance
postSourcesRequestBodyMandate'Amount :: Maybe PostSourcesRequestBodyMandate'Amount'Variantsamount
postSourcesRequestBodyMandate'Currency :: Maybe Textcurrency
postSourcesRequestBodyMandate'Interval :: Maybe PostSourcesRequestBodyMandate'Interval'interval
Constraints:
Maximum length of 5000
postSourcesRequestBodyMandate'NotificationMethod :: Maybe PostSourcesRequestBodyMandate'NotificationMethod'notification_method
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyMandate'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyMandate' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance in the specification.
PostSourcesRequestBodyMandate'Acceptance'postSourcesRequestBodyMandate'Acceptance'Date :: Maybe Intdate
postSourcesRequestBodyMandate'Acceptance'Ip :: Maybe Textip
postSourcesRequestBodyMandate'Acceptance'Offline :: Maybe PostSourcesRequestBodyMandate'Acceptance'Offline'offline
postSourcesRequestBodyMandate'Acceptance'Online :: Maybe PostSourcesRequestBodyMandate'Acceptance'Online'online
postSourcesRequestBodyMandate'Acceptance'Status :: PostSourcesRequestBodyMandate'Acceptance'Status'status
Constraints:
Maximum length of 5000
postSourcesRequestBodyMandate'Acceptance'Type :: Maybe PostSourcesRequestBodyMandate'Acceptance'Type'type
Constraints:
Maximum length of 5000
postSourcesRequestBodyMandate'Acceptance'UserAgent :: Maybe Textuser_agent
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyMandate'Acceptance'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Acceptance'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Acceptance'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Acceptance'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyMandate'Acceptance' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.offline in the specification.
Eq PostSourcesRequestBodyMandate'Acceptance'Offline'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Acceptance'Offline'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Acceptance'Offline'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Acceptance'Offline'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyMandate'Acceptance'Offline' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.online in the specification.
PostSourcesRequestBodyMandate'Acceptance'Online'postSourcesRequestBodyMandate'Acceptance'Online'Date :: Maybe Intdate
postSourcesRequestBodyMandate'Acceptance'Online'Ip :: Maybe Textip
postSourcesRequestBodyMandate'Acceptance'Online'UserAgent :: Maybe Textuser_agent
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyMandate'Acceptance'Online'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Acceptance'Online'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Acceptance'Online'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Acceptance'Online'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesmkPostSourcesRequestBodyMandate'Acceptance'Online' :: PostSourcesRequestBodyMandate'Acceptance'Online'Create a new PostSourcesRequestBodyMandate'Acceptance'Online' with all required fields.
Defines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.status in the specification.
PostSourcesRequestBodyMandate'Acceptance'Status'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyMandate'Acceptance'Status'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyMandate'Acceptance'Status'EnumAcceptedRepresents the JSON value "accepted"
PostSourcesRequestBodyMandate'Acceptance'Status'EnumPendingRepresents the JSON value "pending"
PostSourcesRequestBodyMandate'Acceptance'Status'EnumRefusedRepresents the JSON value "refused"
PostSourcesRequestBodyMandate'Acceptance'Status'EnumRevokedRepresents the JSON value "revoked"
Eq PostSourcesRequestBodyMandate'Acceptance'Status'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Acceptance'Status'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Acceptance'Status'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Acceptance'Status'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.type in the specification.
PostSourcesRequestBodyMandate'Acceptance'Type'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyMandate'Acceptance'Type'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyMandate'Acceptance'Type'EnumOfflineRepresents the JSON value "offline"
PostSourcesRequestBodyMandate'Acceptance'Type'EnumOnlineRepresents the JSON value "online"
Eq PostSourcesRequestBodyMandate'Acceptance'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Acceptance'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Acceptance'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Acceptance'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the oneOf schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.amount.anyOf in the specification.
PostSourcesRequestBodyMandate'Amount'EmptyStringRepresents the JSON value ""
PostSourcesRequestBodyMandate'Amount'Int IntEq PostSourcesRequestBodyMandate'Amount'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Amount'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Amount'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Amount'VariantsDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.interval in the specification.
PostSourcesRequestBodyMandate'Interval'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyMandate'Interval'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyMandate'Interval'EnumOneTimeRepresents the JSON value "one_time"
PostSourcesRequestBodyMandate'Interval'EnumScheduledRepresents the JSON value "scheduled"
PostSourcesRequestBodyMandate'Interval'EnumVariableRepresents the JSON value "variable"
Eq PostSourcesRequestBodyMandate'Interval'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'Interval'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'Interval'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'Interval'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.notification_method in the specification.
PostSourcesRequestBodyMandate'NotificationMethod'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyMandate'NotificationMethod'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyMandate'NotificationMethod'EnumDeprecatedNoneRepresents the JSON value "deprecated_none"
PostSourcesRequestBodyMandate'NotificationMethod'EnumEmailRepresents the JSON value "email"
PostSourcesRequestBodyMandate'NotificationMethod'EnumManualRepresents the JSON value "manual"
PostSourcesRequestBodyMandate'NotificationMethod'EnumNoneRepresents the JSON value "none"
PostSourcesRequestBodyMandate'NotificationMethod'EnumStripeEmailRepresents the JSON value "stripe_email"
Eq PostSourcesRequestBodyMandate'NotificationMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyMandate'NotificationMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyMandate'NotificationMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyMandate'NotificationMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.owner in the specification.
Information about the owner of the payment instrument that may be used or required by particular source types.
PostSourcesRequestBodyOwner'postSourcesRequestBodyOwner'Address :: Maybe PostSourcesRequestBodyOwner'Address'address
postSourcesRequestBodyOwner'Email :: Maybe TextpostSourcesRequestBodyOwner'Name :: Maybe Textname
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner'Phone :: Maybe Textphone
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyOwner'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyOwner'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyOwner'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyOwner'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyOwner' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.owner.properties.address in the specification.
PostSourcesRequestBodyOwner'Address'postSourcesRequestBodyOwner'Address'City :: Maybe Textcity
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner'Address'Country :: Maybe Textcountry
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner'Address'Line1 :: Maybe Textline1
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner'Address'Line2 :: Maybe Textline2
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner'Address'PostalCode :: Maybe Textpostal_code
Constraints:
Maximum length of 5000
postSourcesRequestBodyOwner'Address'State :: Maybe Textstate
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyOwner'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyOwner'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyOwner'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyOwner'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyOwner'Address' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.receiver in the specification.
Optional parameters for the receiver flow. Can be set only if the source is a receiver (`flow` is `receiver`).
PostSourcesRequestBodyReceiver'postSourcesRequestBodyReceiver'RefundAttributesMethod :: Maybe PostSourcesRequestBodyReceiver'RefundAttributesMethod'refund_attributes_method
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodyReceiver'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyReceiver'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyReceiver'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyReceiver'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyReceiver' with all required fields.
Defines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.receiver.properties.refund_attributes_method in the specification.
PostSourcesRequestBodyReceiver'RefundAttributesMethod'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyReceiver'RefundAttributesMethod'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyReceiver'RefundAttributesMethod'EnumEmailRepresents the JSON value "email"
PostSourcesRequestBodyReceiver'RefundAttributesMethod'EnumManualRepresents the JSON value "manual"
PostSourcesRequestBodyReceiver'RefundAttributesMethod'EnumNoneRepresents the JSON value "none"
Eq PostSourcesRequestBodyReceiver'RefundAttributesMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyReceiver'RefundAttributesMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyReceiver'RefundAttributesMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyReceiver'RefundAttributesMethod'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.redirect in the specification.
Parameters required for the redirect flow. Required if the source is authenticated by a redirect (`flow` is `redirect`).
Eq PostSourcesRequestBodyRedirect'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyRedirect'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyRedirect'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyRedirect'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodyRedirect' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order in the specification.
Information about the items and shipping associated with the source. Required for transactional credit (for example Klarna) sources before you can charge it.
Eq PostSourcesRequestBodySourceOrder'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodySourceOrder'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodySourceOrder'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodySourceOrder'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodySourceOrder' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.items.items in the specification.
PostSourcesRequestBodySourceOrder'Items'postSourcesRequestBodySourceOrder'Items'Amount :: Maybe Intamount
postSourcesRequestBodySourceOrder'Items'Currency :: Maybe Textcurrency
postSourcesRequestBodySourceOrder'Items'Description :: Maybe Textdescription
Constraints:
Maximum length of 1000
postSourcesRequestBodySourceOrder'Items'Parent :: Maybe Textparent
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Items'Quantity :: Maybe Intquantity
postSourcesRequestBodySourceOrder'Items'Type :: Maybe PostSourcesRequestBodySourceOrder'Items'Type'type
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodySourceOrder'Items'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodySourceOrder'Items'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodySourceOrder'Items'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodySourceOrder'Items'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodySourceOrder'Items' with all required fields.
Defines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.items.items.properties.type in the specification.
PostSourcesRequestBodySourceOrder'Items'Type'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodySourceOrder'Items'Type'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodySourceOrder'Items'Type'EnumDiscountRepresents the JSON value "discount"
PostSourcesRequestBodySourceOrder'Items'Type'EnumShippingRepresents the JSON value "shipping"
PostSourcesRequestBodySourceOrder'Items'Type'EnumSkuRepresents the JSON value "sku"
PostSourcesRequestBodySourceOrder'Items'Type'EnumTaxRepresents the JSON value "tax"
Eq PostSourcesRequestBodySourceOrder'Items'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodySourceOrder'Items'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodySourceOrder'Items'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodySourceOrder'Items'Type'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesDefines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.shipping in the specification.
PostSourcesRequestBodySourceOrder'Shipping'postSourcesRequestBodySourceOrder'Shipping'Address :: PostSourcesRequestBodySourceOrder'Shipping'Address'address
postSourcesRequestBodySourceOrder'Shipping'Carrier :: Maybe Textcarrier
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Name :: Maybe Textname
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Phone :: Maybe Textphone
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'TrackingNumber :: Maybe Texttracking_number
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodySourceOrder'Shipping'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodySourceOrder'Shipping'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodySourceOrder'Shipping'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodySourceOrder'Shipping'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodySourceOrder'Shipping' with all required fields.
Defines the object schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.shipping.properties.address in the specification.
PostSourcesRequestBodySourceOrder'Shipping'Address'postSourcesRequestBodySourceOrder'Shipping'Address'City :: Maybe Textcity
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Address'Country :: Maybe Textcountry
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Address'Line1 :: Textline1
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Address'Line2 :: Maybe Textline2
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Address'PostalCode :: Maybe Textpostal_code
Constraints:
Maximum length of 5000
postSourcesRequestBodySourceOrder'Shipping'Address'State :: Maybe Textstate
Constraints:
Maximum length of 5000
Eq PostSourcesRequestBodySourceOrder'Shipping'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodySourceOrder'Shipping'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodySourceOrder'Shipping'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodySourceOrder'Shipping'Address'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesCreate a new PostSourcesRequestBodySourceOrder'Shipping'Address' with all required fields.
Defines the enum schema located at paths./v1/sources.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.usage in the specification.
PostSourcesRequestBodyUsage'Other ValueThis case is used if the value encountered during decoding does not match any of the provided cases in the specification.
PostSourcesRequestBodyUsage'Typed TextThis constructor can be used to send values to the server which are not present in the specification yet.
PostSourcesRequestBodyUsage'EnumReusableRepresents the JSON value "reusable"
PostSourcesRequestBodyUsage'EnumSingleUseRepresents the JSON value "single_use"
Eq PostSourcesRequestBodyUsage'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesRequestBodyUsage'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesFromJSON PostSourcesRequestBodyUsage'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesToJSON PostSourcesRequestBodyUsage'Defined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesRepresents a response of the operation postSources.
The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSourcesResponseError is used.
PostSourcesResponseError StringMeans either no matching case available or a parse error
PostSourcesResponse200 SourceSuccessful response.
PostSourcesResponseDefault ErrorError response.
Eq PostSourcesResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSourcesShow PostSourcesResponseDefined in stripeapi-3.0.0.0 · StripeAPI.Operations.PostSources